<?php
function vw_ibtana_product_license_menu() {
	add_menu_page(
    esc_html__('VW Ibtana', 'vw-ibtana'),
    esc_html__('VW Ibtana', 'vw-ibtana'),
    'read',
    'vw-ibtana',
    'vw_ibtana_product_license_page'
	);
}
add_action( 'admin_menu', 'vw_ibtana_product_license_menu' );

function vw_ibtana_product_license_page() {
  	if(isset($_POST['action'])){
    	if($_POST['action'] == 'verify_now'){
      		verifyNow();
    	}

  	}
?>
	<div class="wrap">
		<h2><?php esc_html_e( 'VW Ibtana Licence Setting','vw-ibtana' ); ?></h2>
		<form method="post" action="">
			<?php settings_fields( 'vw_ibtana_product_license' ); ?>
			<table class="form-table">
				<tbody>
					<input id="vw_ibtana_host" name="vw_ibtana_host" type="hidden" class="regular-text" value="<?php esc_attr_e( $_SERVER['HTTP_HOST'] ); ?>" />
          			<input id="vw_ibtana_host" name="action" type="hidden" class="regular-text" value="verify_now" />
					<tr valign="top">
						<th scope="row" valign="top">
							<?php esc_html_e( 'Licence Status','vw-ibtana' ); ?>
						</th>
						<td>
							<label class="description"><?php echo $GLOBALS['activated']; ?></label>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" valign="top">
							<?php esc_html_e( 'Email','vw-ibtana' ); ?>
						</th>
						<td>
							<input id="vw_ibtana_email" name="vw_ibtana_email" type="email" class="regular-text" value="<?php esc_attr_e( $email ); ?>" required/>
							<label class="description" for="vw_ibtana_email"><?php esc_html_e( 'Enter your registered email','vw-ibtana' ); ?></label>
						</td>
					</tr>
      				<tr valign="top">
						<th scope="row" valign="top">
							<?php esc_html_e( 'Order Id','vw-ibtana' ); ?>
						</th>
						<td>
							<input id="vw_ibtana_orderid" name="vw_ibtana_orderid" type="text" class="regular-text" value="<?php esc_attr_e( $orderid ); ?>" required/>
							<label class="description" for="vw_ibtana_orderid"><?php esc_html_e( 'Enter your order id','vw-ibtana' ); ?></label>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" valign="top">
							<?php esc_html_e( 'License Key','vw-ibtana' ); ?>
						</th>
						<td>
							<input id="vw_ibtana_product_license" name="vw_ibtana_product_license" type="text" class="regular-text" value="<?php esc_attr_e( $license ); ?>" required/>
							<label class="description" for="vw_ibtana_product_license"><?php esc_html_e( 'Enter your license key','vw-ibtana' ); ?></label>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" valign="top">
							<?php esc_html_e( 'Activate License','vw-ibtana' ); ?>
						</th>
						<td>
							<input type="submit" class="button-secondary" name="vw_ibtana_license_activate" value="<?php esc_html_e( 'Activate License','vw-ibtana' ); ?>"/>
						</td>
					</tr>
				</tbody>
			</table>
			<?php ?>
		</form>
	<?php
}

function verifyNow(){
  	$url = "https://vwthemes.com/wp-json/verify/v1/orders/id/";

  	// Array with the fields names and values.
  	// The field names should match the field names in the form.

    $postData = array(
    'option_page' => $_POST['option_page'],
    'action'  => $_POST['action'],
    'vw_ibtana_host' => $_POST['vw_ibtana_host'],
    'vw_ibtana_email' => $_POST['vw_ibtana_email'],
    'vw_ibtana_orderid' => $_POST['vw_ibtana_orderid'],
    'vw_ibtana_product_license' => $_POST['vw_ibtana_product_license'],
    'vw_ibtana_license_activate' => $_POST['vw_ibtana_license_activate']
    );
	$result = wp_remote_post($url, array(
			'sslverify' => false,
			'timeout' => 60,
			'body' => $postData
	) );

 	$body = wp_remote_retrieve_body( $result );
 	if($body){
	 	$folder = plugin_dir_path( __FILE__ )."auth";
	 	if(!file_exists($folder)){
		 	mkdir($folder, 0777, true);
		 	$filename = $folder . '/auth.php';
		 	$ourFileHandle = fopen($filename, 'a+') or die("cant opens");
	 	} else{
		 	$filename = $folder . '/auth.php';
		 	$ourFileHandle = fopen($filename, 'wb') or die("cant opens");
	 	}
   	$written =  "<?php   echo '<script> window.authkey=".$body.";</script>'; \$activated = 'Activated'; ?>";
   	fwrite($ourFileHandle,$written);
   	fclose($ourFileHandle);
}
}
?>